classification
Title: Fixing the example code in Doc/extending/extending.rst to declare and initialize the pmodule variable to be of the right type.
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, python-dev, rhettinger, scoder, shreyanavigyan
Priority: normal Keywords: patch

Created on 2021-04-06 06:37 by shreyanavigyan, last changed 2021-04-10 16:25 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25207 merged python-dev, 2021-04-06 06:46
PR 25330 closed shreyanavigyan, 2021-04-10 09:57
PR 25331 closed shreyanavigyan, 2021-04-10 10:56
PR 25332 merged miss-islington, 2021-04-10 15:55
PR 25333 merged miss-islington, 2021-04-10 15:55
Messages (10)
msg390281 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-06 06:37
In the example code of the Extending Python with C/C++ documentation the pmodule variable (that stores the return value of PyImport_ImportModule) was never declared. The PR(s) attached to this issue fixes it by declaring and initializing the pmodule variable. This issue is common in all the documentation versions. The first PR will be for documentation version 3.10. If it's accepted then I would request other developers to submit PRs for documentation 3.9, 3.8, 3.7 and 3.6 because I'm having a problem switching to those branches (I'm continuously facing the problem "HEAD detached" if I switch to those branches).

Thanking you

With Regards
msg390356 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-06 18:04
Please have a review of my change in the documentation.

(Note: I have not signed the Python CLA because I think a simple fix in the documentation doesn't require it.)
msg390543 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-08 18:57
Please have a review.
msg390705 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-10 08:55
I've signed the PSF CLA (as it is required) now. Please have a review.
msg390708 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-10 09:57
I've managed to overcome the "HEAD Detached" problem I was facing when switching to the 3.9, 3.8, 3.7 and 3.6 branches. So I'm also submitting the PRs for those documentation versions.
msg390718 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-10 15:00
Documentation versions older than 3.8 describes a different approach to import the module. Therefore those documentation versions are not to be messed with. I've attached the PRs for documentation versions 3.10, 3.9 and 3.8. Please anyone have a review of my PR as soon as possible.

Thanking you,

With Regards
msg390720 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-04-10 15:54
New changeset ea9b2d631902238acf69e51af6e3d308567b5dfd by Shreyan Avigyan in branch 'master':
bpo-43739: Add type declaration Doc/extending/extending.rst example
https://github.com/python/cpython/commit/ea9b2d631902238acf69e51af6e3d308567b5dfd
msg390722 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-04-10 16:19
New changeset 3a3c0464bd719a8cac6e52b02a3479b2834b88a4 by Miss Islington (bot) in branch '3.8':
bpo-43739: Add type declaration Doc/extending/extending.rst example (GH-25332)
https://github.com/python/cpython/commit/3a3c0464bd719a8cac6e52b02a3479b2834b88a4
msg390723 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-04-10 16:19
New changeset 28fb2d1c4dbf16b05acfb20d457b08e049a7c83f by Miss Islington (bot) in branch '3.9':
bpo-43739: Add type declaration Doc/extending/extending.rst example (GH-25333)
https://github.com/python/cpython/commit/28fb2d1c4dbf16b05acfb20d457b08e049a7c83f
msg390724 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-04-10 16:25
Thanks for the PR
History
Date User Action Args
2021-04-10 16:25:49rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg390724

stage: patch review -> resolved
2021-04-10 16:19:53rhettingersetmessages: + msg390723
2021-04-10 16:19:18rhettingersetmessages: + msg390722
2021-04-10 15:56:32rhettingersetnosy: + scoder
2021-04-10 15:55:17miss-islingtonsetpull_requests: + pull_request24067
2021-04-10 15:55:11miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24066
2021-04-10 15:54:43rhettingersetnosy: + rhettinger
messages: + msg390720
2021-04-10 15:00:21shreyanavigyansetmessages: + msg390718
versions: - Python 3.6, Python 3.7
2021-04-10 10:56:01shreyanavigyansetpull_requests: + pull_request24065
2021-04-10 09:57:54shreyanavigyansetpull_requests: + pull_request24063
2021-04-10 09:57:34shreyanavigyansetmessages: + msg390708
2021-04-10 08:55:34shreyanavigyansetmessages: + msg390705
2021-04-08 18:57:16shreyanavigyansettype: compile error ->
messages: + msg390543
2021-04-07 18:17:21gvanrossumsetnosy: - gvanrossum
2021-04-07 15:55:44shreyanavigyansetnosy: + gvanrossum
2021-04-06 18:04:02shreyanavigyansetmessages: + msg390356
2021-04-06 06:46:09python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request23946
stage: patch review
2021-04-06 06:37:16shreyanavigyancreate